Bug 528288 - Review Request: python-blist - A faster list implementation for Python
Summary: Review Request: python-blist - A faster list implementation for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-10 22:11 UTC by Michel Alexandre Salim
Modified: 2010-06-03 18:11 UTC (History)
4 users (show)

Fixed In Version: python-blist-1.1.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-03 18:07:17 UTC
tla: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2009-10-10 22:11:24 UTC
Spec URL: http://salimma.fedorapeople.org/specs/python/python-blist.spec
SRPM URL: http://salimma.fedorapeople.org/specs/python/python-blist-1.0.1-1.fc12.src.rpm
Description:

The BList is a type that looks, acts, and quacks like a Python list,
but has better performance for for modifying large lists.

For small lists (fewer than 128 elements), BLists and the built-in
list have very similar performance, although BLists are memory
inefficient if you need to create a larger number of small lists.

Comment 1 Michel Alexandre Salim 2009-10-11 01:48:15 UTC
Koji F-12 build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1740211

Note that if you have downloaded the SRPM a few hours earlier, I've added some patches that apply to non-ix86 architectures

Comment 2 Tim Lauridsen 2009-10-11 05:43:41 UTC
I will review this none

Comment 3 Tim Lauridsen 2009-10-11 06:10:33 UTC
rpmlint output:

$ rpmlint python-blist-1.0.1-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint rpmbuild/RPMS/i586/python-blist-1.0.1-1.fc11.i586.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

MUST:
* package is named according to the Package Naming Guidelines .
* spec file name match base package
* package meet Packaging Guidelines .
* package is licensed with a Fedora approved license and meet the Licensing Guidelines .
* License field match the actual license.
. available license(s) file(s) is included in %doc.
* spec file is written in American English. 
* spec file is legible. 
* sources match upstream (md5sum)
ff160b71f23d6730b743e84869f5d6fa  rpmbuild/SOURCES/blist-1.0.1.tar.gz (SRPM)
ff160b71f23d6730b743e84869f5d6fa  Download/blist-1.0.1.tar.gz (upstream)
* package compile on x86
* build dependencies is listed in BuildRequires
* no locales
* no shared libs
* package not relocatable
* Package own all directories that it creates.
* no duplicate files in the %files listing. 
* Permissions on files must be set properly. (%defattr(...) line)
* %clean section present and contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
* package is consistently using macros
* package contain code, or permissable content
* no large doc
* %doc does not affect runtime
* no headers
* no static libs
* no *.pc files
* no *.so.* libs
* no -devel packages
* package dont contain .la libtool archives.
* not a GUI app.
* no files or directories already owned by other packages.
* %install begins with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
* filenames is valid UTF-8

SHOULD:
* source package include license text(s) in separate file from upstream
* builds in koji
* compile and build into binary rpms on all supported architectures. 
* package functions as described.
* no scriptlets
* no subpackages

APPROVED

Comment 4 Michel Alexandre Salim 2010-05-20 07:29:26 UTC
Thanks!

New Package CVS Request
=======================
Package Name: python-blist
Short Description: A faster list implementation for Python
Owners: salimma
Branches: F-12 F-13 EL-5 EL-6
InitialCC:

Comment 5 Kevin Fenzi 2010-05-20 19:35:27 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-05-21 21:22:47 UTC
python-blist-1.1.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-blist-1.1.1-1.fc13

Comment 7 Fedora Update System 2010-05-21 21:22:52 UTC
python-blist-1.1.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-blist-1.1.1-1.fc12

Comment 8 Fedora Update System 2010-05-24 19:36:51 UTC
python-blist-1.1.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-blist'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-blist-1.1.1-1.fc13

Comment 9 Fedora Update System 2010-05-24 19:41:17 UTC
python-blist-1.1.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-blist'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-blist-1.1.1-1.fc12

Comment 10 Fedora Update System 2010-06-03 18:07:10 UTC
python-blist-1.1.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-06-03 18:11:29 UTC
python-blist-1.1.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.